Bug 236799 - sysutils/passwordsafe: Fix build with powerpc*
Summary: sysutils/passwordsafe: Fix build with powerpc*
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: powerpc Any
: --- Affects Some People
Assignee: Mark Linimon
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-03-26 10:02 UTC by Piotr Kubaj
Modified: 2019-10-03 21:15 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (brnrd)
koobs: merge-quarterly?


Attachments
patch (2.21 KB, patch)
2019-03-26 10:02 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-03-26 10:02:26 UTC
Created attachment 203157 [details]
patch

Add USES=compiler:c++11-lang, this port adds -std=c++11 to CPPFLAGS.

Don't add --stdlib=libc++ to CXXFLAGS, Clang uses it by default and GCC can't use libc++.

Don't set CC, CXX, CPP, those are set by the ports tree.

Add a define for __ppc__.

Tested on powerpc64 and amd64.
Comment 1 commit-hook freebsd_committer 2019-03-29 14:51:11 UTC
A commit references this bug:

Author: linimon
Date: Fri Mar 29 14:50:58 UTC 2019
New revision: 497148
URL: https://svnweb.freebsd.org/changeset/ports/497148

Log:
  Add USES=compiler:c++11-lang, this port adds -std=c++11 to CPPFLAGS.

  Don't add --stdlib=libc++ to CXXFLAGS, Clang uses it by default and GCC can't use libc++.

  Don't set CC, CXX, CPP, those are set by the ports tree.

  Add a define for __ppc__.

  While here, pet portlint.

  PR:		236799
  Submitted by:	Piotr Kubaj
  Approved by:	portmgr (tier-2 blanket)

Changes:
  head/sysutils/passwordsafe/Makefile
  head/sysutils/passwordsafe/files/patch-Makefile.freebsd
Comment 2 Piotr Kubaj freebsd_committer 2019-10-03 15:51:10 UTC
It looks like files/patch-src_core_PwsPlatform.h wasn't committed, the port still fails.
Comment 3 commit-hook freebsd_committer 2019-10-03 21:14:21 UTC
A commit references this bug:

Author: linimon
Date: Thu Oct  3 21:14:07 UTC 2019
New revision: 513735
URL: https://svnweb.freebsd.org/changeset/ports/513735

Log:
  Add file missed in r497148.

  Pointyhat to:	linimon

  PR:		236799
  Submitted by:	pkubaj
  Approved by:	portmgr (tier-2 blanket)

Changes:
  head/sysutils/passwordsafe/files/patch-src_core_PwsPlatform.h